<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_32155ccb342f199043093041c1" . "b3bb57" => base64_decode("ZnJvbV9m" . "b2xkZXJf" . "aWQ="), "_d0845bff5cd0ddb5ed1d7bd9db9" . "96f51" => base64_decode("c291cmN" . "l"), "ty" . "pe" => base64_decode("dHlwZQ" . "=="), "_2e858fb1973337f53ff85c104f" . "cb38f4" => base64_decode("cHVib" . "GlzaG" . "Vk"), "_939c6a45ff74323dbef4" . "87ed15753a7c" => base64_decode("c3R" . "hdG" . "U="), "_4c760fb02a49c5550" . "9ba087b84fbda45" => base64_decode("ZHJ" . "hZn" . "Q="), "_80e7ee43fdf838101" . "a2303a7b4a50efc" => base64_decode("dG9f" . "Zm9s" . "ZGVy" . "X2lk"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_939c6a45ff74323dbef48" . "7ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_939c6a45ff74323dbef487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4c760fb02a49c55509ba0" . "87b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2e858fb1973337f53ff85c10" . "4fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d0845bff5cd0dd" . "b5ed1d7bd9db996" . "f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_32155cc" . "b342f199" . "04309304" . "1c1b3bb5" . "7"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_80e7ee43fdf8" . "38101a2303a7b" . "4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}